Bug 145260 - New Port: net/rabbitmq-c-devel
Summary: New Port: net/rabbitmq-c-devel
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: jacula
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-01 09:50 UTC by rabbitmq
Modified: 2010-06-09 19:30 UTC (History)
0 users

See Also:


Attachments
file.shar (3.58 KB, text/plain)
2010-04-01 09:50 UTC, rabbitmq
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description rabbitmq 2010-04-01 09:50:03 UTC
Port for the RabbitMQ C AMQP Client Library, see http://hg.rabbitmq.com/rabbitmq-c for original source.

Tested with `port test` and all seems to be OK.

This is slightly different from the net/rabbitmq-c port I've submitted in that this one builds librabbitmq to support AMQP protocol version 0.9.1 rather than 0.8 which net/rabbitmq-c supports.

Fix: Patch attached with submission follows:
Comment 1 Gabor Pali freebsd_committer 2010-04-26 00:43:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jacula

Over to Jacula.
Comment 2 dfilter service freebsd_committer 2010-06-09 19:21:33 UTC
jacula      2010-06-09 18:21:20 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/rabbitmq-c-devel Makefile distinfo pkg-descr pkg-plist 
    net/rabbitmq-c-devel/files patch-configure.ac 
                               patch-tools_common.c 
  Log:
  This is a C-language AMQP client library for use with AMQP servers
  speaking protocol versions 0-8 and 0-9-1. This port only speaks the
  0-9-1 protocol version, for 0-8 use net/rabbitmq-c.
  
   - <http://www.rabbitmq.com/>
   - <http://www.amqp.org/>
   - <http://hg.rabbitmq.com/rabbitmq-c>
  
  WWW: http://hg.rabbitmq.com/rabbitmq-c
  
  PR:             ports/145260
  Submitted by:   Geoff Garside <rabbitmq@geoffgarside.co.uk>
  Approved by:    pgj (mentor)
  
  Revision  Changes    Path
  1.2218    +1 -0      ports/net/Makefile
  1.1       +74 -0     ports/net/rabbitmq-c-devel/Makefile (new)
  1.1       +6 -0      ports/net/rabbitmq-c-devel/distinfo (new)
  1.1       +11 -0     ports/net/rabbitmq-c-devel/files/patch-configure.ac (new)
  1.1       +57 -0     ports/net/rabbitmq-c-devel/files/patch-tools_common.c (new)
  1.1       +9 -0      ports/net/rabbitmq-c-devel/pkg-descr (new)
  1.1       +17 -0     ports/net/rabbitmq-c-devel/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 jacula freebsd_committer 2010-06-09 19:27:38 UTC
State Changed
From-To: open->closed

The patch has been committed with some modifications. Thanks!